GET
Payment services/payment-servicesList payment services
Lists enabled payment services, optionally filtered by currency and method.
Access tierauthenticatedRate limitpay_apiIdempotencynoneAuthenticationBearerAuth
Source
LuxApi/Modules/PayAPI/Controllers/PaymentServiceController.php::indexLuxPayProjects @ 146e98baa44eParameters
X-Request-IDheaderClient correlation identifier. LuxPay may generate one when omitted.
Example:req_01J...currencyqueryISO 4217 currency code.
Example:YERmethodqueryPayment method filter.
Example:walletCode examples
The displayed sandbox host is a placeholder until an official host is provisioned. Never paste a production token into a public browser.
curl --request GET \
--url 'https://sandbox-api.luxpay.example/v1/payment-services' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>'Responses
200Successful response.
successboolean
Example:
truedataobject
{
"success": true,
"data": {
"services": [
{
"provider": "wallet",
"display_name": "LuxPay Wallet",
"enabled": true,
"can_select": true,
"currencies": [
"string"
],
"methods": [
"string"
],
"channels": [
"string"
]
}
],
"count": 1
}
}